using Jypeli;

/// @author  Vesa Lappalainen
/// @version 10.09.2011
///
/// <summary>
/// Luokka, jossa harjoitellaan piirtämistä lisäämällä ympyröitä ruudulle
/// </summary>
public class Lumiukko : PhysicsGame
{
    /// <summary>
    /// Aliohjelmassa piirretään ja zoomataan kamera siten, että kenttä näkyy hyvin ruudulla.
    /// </summary>
    public override void Begin()
    {
        Camera.ZoomToLevel();
        Level.Background.Color = Color.Black;

        PhysicsObject p1 = new PhysicsObject(2 * 100.0, 2 * 100.0, Shape.Circle);
        p1.Y = Level.Bottom + 200.0;
        Add(p1);

        PhysicsObject p2 = new PhysicsObject(2 * 50.0, 2 * 50.0, Shape.Circle);
        p2.Y = p1.Y + 100 + 50;
        Add(p2);

        PhysicsObject p3 = new PhysicsObject(2 * 30.0, 2 * 30.0, Shape.Circle);
        p3.Y = p2.Y + 50 + 30;
        Add(p3);

        PhysicsObject silmaVasen = new PhysicsObject(2 * 5.0, 2 * 5.0, Shape.Circle);
        silmaVasen.X = p3.X - 30.0 / 2;
        silmaVasen.Y = p3.Y;
        p3.Add(silmaVasen);

        PhysicsObject silmaOikea = new PhysicsObject(2 * 5.0, 2 * 5.0, Shape.Circle);
        silmaOikea.X = p3.X + 30.0 / 2;
        silmaOikea.Y = p3.Y;
        p3.Add(silmaOikea);

        silmaVasen.Color = Color.Black;
        silmaOikea.Color = Color.Black;

        PhysicsObject nena = new PhysicsObject(2 * 3.0, 2 * 3.0, Shape.Circle);
        nena.Y = p3.Y - 30.0 / 3;
        p3.Add(nena);
        nena.Color = Color.Black;

        PhysicsObject suu = new PhysicsObject(2 * 7.0, 2 * 3.0, Shape.Circle);
        suu.Y = p3.Y - 30.0 * 2 / 3;
        p3.Add(suu);
        suu.Color = Color.Black;
    }
}